QGIS 3.0.3 line widths not screen scaled in Win 10

2018-06-12 06:56 AM - Loren Amelang

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 Creators with 3000x2000 screen and 175% scalingEasy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27002

Description

If I choose [Line Layer] -> Right click -> Styles -> Edit Symbol, the width I set there ends up as physical pixels on my 3000x2000 screen

with Windows 10 and 175% screen scaling. Actual width of a scaled "5mm" line is less than 3mm. I can live with that.

But a similar thing happens to the "scratch layer" or whatever you call the mechanism that lets us enter a new Line by clicking points and

then right clicking. The drawn lines, and the line that follows the cursor to the next click point are nearly invisible, especially if you are

tracing over a sat image! And if there are supposed to be markers at the click points, like I see in screenshots of older QGIS versions,

they are totally invisible here.

"Spot my line on map.JPG" shows a tiny corner of my project. "Spot my line no map.JPG" is the same with the background hidden. I'll

grant I'm miserably color-blind, and maybe that line will jump out for some people. But it is still 100/175 of the size intended, and the

scaling has changed it from a string of solid pixels (I assume) to a vague pattern of more-or-less pale pixels with no sharp edges. The only

way I've seen to get sharp images inside screen scaled Windows 10 is to disable scaling and run at the hardware resolution, providing

your own mechanism for expanding your interface elements appropriately.

Without that, is there any way to hack the width of those "scratch" lines? Or the color? If I could control them like I can the finished result,

the line drawing function would be quite usable.

History

#1 - 2018-06-13 09:52 AM - Harrissou Santanna

- Status changed from Open to Feedback

Hi,

Unless i misunderstood, what you are looking for is the rubberband settings available in Settings menu --> Options --> Digitizing.

Hope that helps.

#2 - 2018-06-13 10:46 PM - Loren Amelang

- File QGIS new vector line fail.JPG added

- File QGIS new project blue half mm, red 5.JPG added

I found the Digitizing settings. Line width was the minimum 1, changed it to 5. While drawing that makes a line about 5 hardware pixels wide (0.475 visible

mm), clearly wider than a "0.5 pixel" line in an existing vector layer. So it must not be be specifying logical pixels? It must be drawing in hardware pixels,

though the GUI interface is clearly in logical pixels.

At least it is visible - Thanks! Yesterday it was so faint I didn't even realize the rubberband part was dashed!
But I had to test it in a new scratch layer, or an existing layer...

Today I can't create a shapefile layer, before or after restarting QGIS, in my real PostGIS project or a new file-based project. I get the yellow top warning,

and the Messages log just shows:

2018-06-13T12:27:51    WARNING     : 

2018-06-13T12:40:04    WARNING     :

The weird thing is that yesterday I'd swear I could toggle editing with the layer's right click menu OR the toolbar button. Today the right click can't ever

enable the editing tools (it does toggle its icon), and when the toolbar eventually does, the layer icon shows "can't edit" - see screenshot.

I suppose those need to be different bug reports?

#3 - 2018-06-13 10:52 PM - Loren Amelang

Note: The screenshot captures hardware pixels, and then renders them as if they were logical pixels. The red line here looks like it is almost 10 pixels

wide...  Def wasn't on my screen!

#4 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

Files

Spot my line no map.JPG 15.5 KB 2018-06-12 Loren Amelang

Spot my line on map.JPG 84.2 KB 2018-06-12 Loren Amelang

QGIS new project blue half mm, red 5.JPG 61.1 KB 2018-06-13 Loren Amelang

QGIS new vector line fail.JPG 83.3 KB 2018-06-13 Loren Amelang
